
QGIS Application - Bug report #881

Excesive zoom-in after 'Zoom to layer extent'

2007-12-27 12:01 PM - cdavila -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Map Canvas

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10940

Description

When you make Zoom to layer extent on point layers, some of the points are partially or even completely out of the Map View and its

necessary to zoom out a little bit to be able to see them.

IMHO also with other feature types Zoom to layer is excessive and it would be better to have some space around the zoomed layer.

Associated revisions

Revision 0d8416e0 - 2008-01-13 10:32 PM - Magnus Homann

Adds some margin to zoomToLayer. Fixes #881

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@7949 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 8ecffa69 - 2008-01-13 10:32 PM - Magnus Homann

Adds some margin to zoomToLayer. Fixes #881

git-svn-id: http://svn.osgeo.org/qgis/trunk@7949 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-01-13 01:32 PM - Magnus Homann

- Resolution set to fixed

- Status changed from Open to Closed

Sounds reasonable, let's try scalining extent with 5%. Fixed in commit:8ecffa69 (SVN r7950)

#2 - 2009-08-22 12:54 AM - Anonymous

Milestone Version 0.9.2 deleted
